org.eclipse.emf.cdo.transaction

## Interface CDOConflictResolver3

- All Superinterfaces:
    CDOConflictResolver

      public interface CDOConflictResolver3
      extends CDOConflictResolver

  A strategy used to customize the default conflict resolution behavior of `transactions`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `CDOConflictResolver.NonConflictAware`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `preCommit()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `getTransaction, resolveConflicts, setTransaction`

- - ### Method Detail

    - #### preCommit

          boolean preCommit()

      Returns:
        `false` to abort the commit operation, `true` otherwise.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html